<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('productos_variantes', function (Blueprint $table) {
            $table->renameColumn('stock', 'stock_real');
        });

        Schema::table('productos_variantes', function (Blueprint $table) {
            $table->unsignedInteger('stock_reservado')->default(0)->after('stock_real');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('productos_variantes', function (Blueprint $table) {
            $table->dropColumn('stock_reservado');
        });

        Schema::table('productos_variantes', function (Blueprint $table) {
            $table->renameColumn('stock_real', 'stock');
        });
    }
};
